summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2017-08-12 16:18:37 -0500
committerMatthias Maier <tamiko@gentoo.org>2017-08-12 16:20:01 -0500
commitb7e2ba3c7e89be0ef6ef1f134ffa824d475c4395 (patch)
tree1793ef5346cd5c383c76a05af6f65f08c38997d0
parentdev-db/freetds: new version 1.00.53. (diff)
downloadgentoo-b7e2ba3c7e89be0ef6ef1f134ffa824d475c4395.zip
gentoo-b7e2ba3c7e89be0ef6ef1f134ffa824d475c4395.tar.gz
gentoo-b7e2ba3c7e89be0ef6ef1f134ffa824d475c4395.tar.bz2
sci-libs/adolc: version bump to 2.6.3
Package-Manager: Portage-2.3.6, Repoman-2.3.3
-rw-r--r--sci-libs/adolc/Manifest1
-rw-r--r--sci-libs/adolc/adolc-2.6.3.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/sci-libs/adolc/Manifest b/sci-libs/adolc/Manifest
index 1b3eb2e..72f7360 100644
--- a/sci-libs/adolc/Manifest
+++ b/sci-libs/adolc/Manifest
@@ -2,3 +2,4 @@ DIST ADOL-C-2.4.1.tgz 2210414 SHA256 05bf946cc1764e2b3fa7e708ccc4303f289699d9f36
DIST ADOL-C-2.5.0.tgz 2313753 SHA256 908753153e0eca31752222150977eabd8ab97c4ab8fcd19f92667aba69a048a6 SHA512 e680565ed911bc15165c27281428c1daf35e95292dc3abc64aab6633068ec0d7e7ae626e692e0574b2c696a0c4aec2c79b2b02c3760acd2bd1b579a4c42d9585 WHIRLPOOL c0301c9a8f1357aa06be8e6a53bee9825a5d56cd31a2734862bcfd1f7c944935a4cd2c8c2ed49028493cb7c998008c9853b2d4bd7f6e0519ed353bbd3b7d0a8c
DIST ADOL-C-2.5.2.tgz 2320010 SHA256 2fa514d9799989d6379738c2bcf75070d9834e4d227eb32a5b278840893b2af9 SHA512 3d2ef6e42504de9e9c1b5777afda8ece83fa61ab7c22fd471dce6bcb74af0a789d37cd2a6c9c9ead13f6c78e07ba985e7d14e79bcdf35fa56f8e73a2411905b5 WHIRLPOOL 55043cabe44b9913a7fba73ddaf0d64caa234d7002582d78dd9cfc05510ce3fbcb6dd3d1c40a2d6425f5ee1b7cc986d525d065671191096fbb303e122089c954
DIST ADOL-C-2.6.2.tgz 2413458 SHA256 f6326e7ba994d02074816132d4461915221069267c31862b31fab7020965c658 SHA512 7825b57a06ea146b5095f3345592566887622e4a8b93bf8ef946083486652b5ecd6a44b7b5f1c7a5b5c45cfdb14d78ab2dd5f4d228114226046e99a46257f5be WHIRLPOOL 24a2013e99b2fcbab348f2051a5592b5040ccd0349801838397a60833ba3baf36a21f125234bb8a721dcda7e504f3f4e79e792bdf8ad4965dae6158ccbef0054
+DIST ADOL-C-2.6.3.tgz 2416928 SHA256 6ed74580695a0d2c960581e5430ebfcd380eb5da9337daf488bf2e89039e9c21 SHA512 e3c44b1f8ab5211a8a3c3163124e35b6d1e9551672ab4944d983dd3117f609d512c1b08c61e535dc4d50089295ee565bec07aaca67aa88b57b17bc3906573262 WHIRLPOOL e3d7d175e3d7af2fc6042011007a1a15f9743ee00c4bf9859157abbd42360a87b1caf1d4f8ce7717264db628cca1a0f75e2d4137a6c14ff5472877db61bd024e
diff --git a/sci-libs/adolc/adolc-2.6.3.ebuild b/sci-libs/adolc/adolc-2.6.3.ebuild
new file mode 100644
index 00000000..52b9d28
--- /dev/null
+++ b/sci-libs/adolc/adolc-2.6.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools toolchain-funcs eutils
+
+MYPN=ADOL-C
+
+DESCRIPTION="Automatic differentiation system for C/C++"
+HOMEPAGE="https://projects.coin-or.org/ADOL-C/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
+
+LICENSE="|| ( EPL-1.0 GPL-2 )"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="mpi sparse static-libs"
+
+RDEPEND="
+ mpi? ( sys-cluster/ampi:0= )
+ sparse? ( sci-libs/colpack:0= )
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MYPN}-${PV}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.5.0-no-colpack.patch
+ "${FILESDIR}"/${PN}-2.5.0-pkgconfig-no-ldflags.patch
+ "${FILESDIR}"/${PN}-2.6.2-dash.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable mpi ampi) \
+ $(use_enable sparse) \
+ $(use_with sparse colpack "${EPREFIX}"/usr)
+}
+
+src_test() {
+ emake test
+}
+
+src_install() {
+ default
+ use static-libs || prune_libtool_files --all
+}